×
Your cart is empty.
×
Your cart is empty.
×
Your cart is empty.
Poly Trance Lead

Poly Trance Lead

(1 customer review)

$3.00

That Worship SoundPoly Trance Lead

Software Requirements:
MainStage 3.2+ or Logic Pro 10.2+

Purchase this product now and earn 15 Points!
SKU: AMPPSPTL Category: Tag:
0000

A polyphonic trance lead patch, works great for worship/EDM songs.

This patch can also be purchased as part of a bundle, Worship Essentials 2.

MainStage users, version 3.2 or higher is required.
Logic Pro users, version 10.2 or higher is required.

Terms & Conditions

Installation Guide:
https://support.thatworshipsound.com/article/86-how-to-install-the-poly-trance-lead-patch

Reviews(1)

  1. Versatile in many ways! Use this as my main pad and I use a filter to make it a soft pad and it’s been working wonders! So much fun and highly recommend this patch!

Only logged in customers who have purchased this product may leave a review.